#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 33. GNOME Libraries and Desktop

- Prev

  Tracker-3.2.1

- Next

  GSound-1.0.3

- Up
- Home

# Tracker-miners-3.2.1

## Introduction to Tracker-miners

The Tracker-miners package contains a set of data extractors for Tracker.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/tracker-miners/3.2/tracker-miners-3.2.1.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/tracker-miners/3.2/tracker-miners-3.2.1.tar.xz

- Download MD5 sum: 822d829e924657fc3434d69fb5a32630

- Download size: 3.9 MB

- Estimated disk space required: 39 MB (with tests)

- Estimated build time: 1.2 SBU (with tests)

### Tracker-miners Dependencies

#### Required

gst-plugins-base-1.20.0, Tracker-3.2.1, Exempi-2.6.1, and gexiv2-0.14.0

#### Recommended

FFmpeg-4.4.1, giflib-5.2.1, ICU-70.1, libexif-0.6.24, libgrss-0.7.0, libgxps-0.3.2, and Poppler-22.02.0

#### Optional

asciidoc-10.1.1, CMake-3.22.2, DConf-0.40.0, libgsf-1.14.48, libseccomp-2.5.3, taglib-1.12, totem-pl-parser-3.26.6, UPower-0.99.13, libcue, libitpcdata, libosinfo, and gupnp

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/tracker-miners

## Installation of Tracker-miners

Install Tracker-miners by running the following commands:

    mkdir build &&
    cd    build &&

    meson --prefix=/usr --buildtype=release -Dman=false .. &&
    ninja

To test the results, as the `root` user, issue: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-Dman=false`: This switch prevents the build process from generating man pages. Omit this switch if you have asciidoc-10.1.1 installed and wish to generate and install the man pages.

`-Dseccomp=false`: This option disables the seccomp system call filter. On some architectures, such as i686 and ARM, the functions that tracker-miners uses are not guarded properly, and tracker-miners will get killed with a SIGSYS as a result.

`-Dminer_rss=false`: Use this option if you have not installed the recommended dependency libgrss.

## Contents

Installed Programs: None
Installed Libraries: Several modules under /usr/lib/tracker-miners-3.0
Installed Directories: /usr/lib/tracker-miners-3.0, /usr/libexec/tracker3, and /usr/share/tracker3-miners

Last updated on

- Prev

  Tracker-3.2.1

- Next

  GSound-1.0.3

- Up
- Home